<?php
namespace SabaiApps\Directories\Component\Payment\NotificationEvent;

class OrderRefundedNotificationEvent extends AbstractOrderNotificationEvent {

	protected function _notificationEventInfo() {
		return array(
			'label'            => _x( 'Order refunded', 'notification event', 'directories-pro' ),
			'default_settings' => array(),
			'actions'          => array(
				'payment_order_refunded',
			),
			'weight'           => 20,
		);
	}

	protected function _getDefaultNotificationLabel() {
		return __( 'Your order has been refunded', 'directories-pro' );
	}

	protected function _getDefaultNotificationBody() {
		return array(
			__( 'The following order has been refunded.', 'directories-pro' ),
			sprintf( __( 'Order number: %s', 'directories-pro' ), '%order_number%' ),
			sprintf( __( 'Order plan: %s', 'directories-pro' ), '%order_name%' ),
		);
	}
}
